package com.fusi24.rfid.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.fusi24.rfid.data.entity.DataGroup;
import com.fusi24.rfid.databinding.RowGroupBinding;

import java.util.ArrayList;
import java.util.List;

public class ProblemGroupAdapter extends RecyclerView.Adapter<ProblemGroupAdapter.ViewHolder>{

    private Context context;
    private List<DataGroup> groupList;

    public ProblemGroupAdapter(Context context) {
        this.context = context;
        this.groupList = new ArrayList<>();
    }

    private void setGroupList(List<DataGroup> groupList) {
        this.groupList = groupList;
    }

    public void updateGroupList(List<DataGroup> groupList){
        setGroupList(groupList);
    }

    static class ViewHolder extends RecyclerView.ViewHolder {
        private RowGroupBinding binding;

        ViewHolder(RowGroupBinding itemBinding) {
            super(itemBinding.getRoot());
            this.binding = itemBinding;
        }
    }


    @NonNull
    @Override
    public ProblemGroupAdapter.ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        RowGroupBinding itemBinding = RowGroupBinding.inflate(LayoutInflater.from(context), parent, false);
        return new ViewHolder(itemBinding);
    }

    @Override
    public void onBindViewHolder(@NonNull ProblemGroupAdapter.ViewHolder holder, int position) {

        DataGroup group = groupList.get(position);
        holder.binding.tvGroupName.setText(group.getName());

    }

    @Override
    public int getItemCount() {
        return groupList.size();
    }
}
